
Katello - Refactor #37112

Remove 'query-string' JS dependency

01/26/2024 08:51 PM - Jeremy Lenz

Status: New   

Priority: Normal   

Assignee:    

Category: Web UI   

Target version: Katello 4.13.0   

Branch:  Pull request:  

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

We use the 'query-string' library in a few places to parse query string params:

https://github.com/search?q=repo%3AKatello%2Fkatello%20query-string&type=code

it's been requested we remove this dependency in favor of native JS or using another existing dependency.

History

#1 - 01/26/2024 08:57 PM - Eric Helms

Additional context:

This will allow us to drop a Katello only NodeJS dependency.

Additionally, the query-string package has not seen an update since 2022.

This will mean we can also drop these packages in our packaging repository:

nodejs-decode-uri-component

nodejs-strict-uri-encode

[1] https://github.com/search?q=repo%3AKatello%2Fkatello%20query-string&type=code

#2 - 01/31/2024 06:46 PM - Jeremy Lenz

- Target version set to Katello 4.13.0

- Triaged changed from No to Yes
